Subject: bug#41911: closed (Re: [bug#41911] [PATCH 0/5] Add missing inputs for k3b)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jun 2020 15:42:02 +0000

Your bug report

#41911: [PATCH 0/5] Add missing inputs for k3b

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41911: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41911
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41911] [PATCH 0/5] Add missing inputs for k3b
From: Ludovic Courtès <[email-masked]>
To: Timotej Lazar <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Jun 2020 17:41:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Timotej,

Timotej Lazar <[email-masked]> skribis:

>   gnu: Add cdrdao.
>   gnu: k3b: Add inputs for external programs.
>   gnu: k3b: Add inputs for libraries loaded at runtime.
>   gnu: k3b: Note the runtime dependency on udisks-service.
>   gnu: k3b: Update to 20.04.2.

I pushed the whole series, thank you!

Ludo’.

Subject: [PATCH 0/5] Add missing inputs for k3b
From: Timotej Lazar <[email-masked]>
To: [email-masked]
Date: Wed, 17 Jun 2020 12:47:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the first patch adds a new package cdrdao. The remaining patches update
the k3b package by adding inputs (including cdrdao) required at runtime
to actually read and write discs.

In the cases where k3b supports several backends, I picked the ones most
actively maintained (libcdio-paranoia instead of cdparanoia, and libburn
instead of cdrtools/cdrkit); this can be overriden in program settings.

I also add a note in description that udisks-service must be running for
k3b, and update it to latest released version.

Thanks!

Timotej Lazar (5):
  gnu: Add cdrdao.
  gnu: k3b: Add inputs for external programs.
  gnu: k3b: Add inputs for libraries loaded at runtime.
  gnu: k3b: Note the runtime dependency on udisks-service.
  gnu: k3b: Update to 20.04.2.

 gnu/packages/cdrom.scm          | 51 +++++++++++++++++++++++++++++++++
 gnu/packages/kde-multimedia.scm | 43 ++++++++++++++++++++++++---
 2 files changed, 90 insertions(+), 4 deletions(-)